Bug 453135 - (CVE-2007-5966) CVE-2007-5966 kernel: non-root can trigger cpu_idle soft lockup
CVE-2007-5966 kernel: non-root can trigger cpu_idle soft lockup
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=important,public=20071207,repo...
: Security
Depends On: 411221 418061 418071 453136 518744 549235
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-27 10:33 EDT by Mark J. Cox (Product Security)
Modified: 2012-07-16 18:35 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-21 12:19:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2008-06-27 10:33:04 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-5966 to the following vulnerability:

Integer overflow in the hrtimer_start function in kernel/hrtimer.c in the Linux kernel before 2.6.23.10 allows local users to execute arbitrary code or cause a denial of service (panic) via a large relative timeout value.  NOTE: some of these details are obtained from third party information.

Refences:
http://www.securityfocus.com/archive/1/archive/1/485282/100/0/threaded
http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.23.10
https://issues.rpath.com/browse/RPL-2038
http://www.debian.org/security/2007/dsa-1436
http://lists.opensuse.org/opensuse-security-announce/2008-02/msg00002.html
http://www.ubuntu.com/usn/usn-574-1
http://www.securityfocus.com/bid/26880
http://www.frsirt.com/english/advisories/2007/4225
http://secunia.com/advisories/28105
http://secunia.com/advisories/28088
http://secunia.com/advisories/28141
http://secunia.com/advisories/28706
http://secunia.com/advisories/28806
Comment 6 Eugene Teo (Security Response) 2009-06-11 00:03:59 EDT
mrg-1 kernel has 5a7780e725d1bb4c3094fcc12f1c5c5faea1e988 fix.
Comment 20 errata-xmlrpc 2009-08-04 09:15:19 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1193 https://rhn.redhat.com/errata/RHSA-2009-1193.html
Comment 21 Eugene Teo (Security Response) 2009-08-10 21:48:07 EDT
More info can be found here:
https://www.redhat.com/security/data/cve/CVE-2007-5966.html
Comment 24 errata-xmlrpc 2010-02-02 16:01:25 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.2 Z Stream

Via RHSA-2010:0079 https://rhn.redhat.com/errata/RHSA-2010-0079.html

Note You need to log in before you can comment on or make changes to this bug.